gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: helper scripts to tag and rest


From: gnunet
Subject: [taler-deployment] branch master updated: helper scripts to tag and restore images
Date: Mon, 23 Jan 2023 21:22:27 +0100

This is an automated email from the git hooks/post-receive script.

dold pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 1c3445b  helper scripts to tag and restore images
1c3445b is described below

commit 1c3445b8717c16f2aab48ee8e4829afe93a087c8
Author: Florian Dold <florian@dold.me>
AuthorDate: Mon Jan 23 21:22:19 2023 +0100

    helper scripts to tag and restore images
---
 sandcastle/restore-good.sh | 13 +++++++++++++
 sandcastle/save-good.sh    | 13 +++++++++++++
 2 files changed, 26 insertions(+)

diff --git a/sandcastle/restore-good.sh b/sandcastle/restore-good.sh
new file mode 100644
index 0000000..727cd6a
--- /dev/null
+++ b/sandcastle/restore-good.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+# Save the current set of (known-good) images under a new tag with label 
"good-$TIMESTAMP"
+
+set -eu
+
+STAMP=$1
+
+docker tag "taler_local/taler_base:good-$STAMP" "taler_local/taler_base:latest"
+docker tag "sandcastle_talerdb:good-$STAMP" "sandcastle_talerdb:latest"
+docker tag "sandcastle_merchant:good-$STAMP" "sandcastle_merchant:latest"
+docker tag "sandcastle_exchange:good-$STAMP" "sandcastle_exchange:latest"
+docker tag "sandcastle_bank:good-$STAMP" "sandcastle_bank:latest"
diff --git a/sandcastle/save-good.sh b/sandcastle/save-good.sh
new file mode 100644
index 0000000..90582ea
--- /dev/null
+++ b/sandcastle/save-good.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+# Save the current set of (known-good) images under a new tag with label 
"good-$TIMESTAMP"
+
+set -eu
+
+STAMP=$(date +%s)
+
+docker tag "taler_local/taler_base:latest" "taler_local/taler_base:good-$STAMP"
+docker tag "sandcastle_talerdb:latest" "sandcastle_talerdb:good-$STAMP"
+docker tag "sandcastle_merchant:latest" "sandcastle_merchant:good-$STAMP"
+docker tag "sandcastle_exchange:latest" "sandcastle_exchange:good-$STAMP"
+docker tag "sandcastle_bank:latest" "sandcastle_bank:good-$STAMP"

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]